Summary:	Sound player with the WinAmp GUI, for Unix-based systems for GTK+
Summary(hu.UTF-8):	Zenelejátszó WinAmp-szerű felülettel GTK+-t használó rendszerekhez
Summary(pl.UTF-8):	Odtwarzacz dźwięku z interfejsem WinAmpa dla GTK+
Name:		audacious
Version:	3.3.1
Release:	2
License:	BSD
Group:		X11/Applications/Sound
Source0:	http://distfiles.audacious-media-player.org/%{name}-%{version}.tar.bz2
# Source0-md5:	06a11023fcbcdfe07d2232d8340fb61e
Patch0:		%{name}-desktop.patch
URL:		http://audacious-media-player.org/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
BuildRequires:	dbus-devel >= 0.60
BuildRequires:	dbus-glib-devel >= 0.60
BuildRequires:	gettext-devel
BuildRequires:	gtk+3-devel >= 3.0.0
BuildRequires:	home-etc-devel
BuildRequires:	libguess-devel >= 1.1
BuildRequires:	libmowgli-devel >= 0.9.0
BuildRequires:	libstdc++-devel
BuildRequires:	mcs-devel >= 0.4.0
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.198
Requires(post,postun):	desktop-file-utils
Requires:	%{name}-libs = %{version}-%{release}
Requires:	audacious-output-plugin
Requires:	audacious-transport-unix_io
Suggests:	%{name}-general-skins
Obsoletes:	audacious-container-mms
Obsoletes:	audacious-container-stdio
Obsoletes:	audacious-general-audioscrobbler
Obsoletes:	audacious-general-curl
Obsoletes:	audacious-general-evdev
Obsoletes:	audacious-general-mtp_up
Obsoletes:	audacious-general-streambrowser
Obsoletes:	audacious-general-vfstrace
Obsoletes:	audacious-input-alac
Obsoletes:	audacious-input-cdaudio
Obsoletes:	audacious-input-cube
Obsoletes:	audacious-input-demac
Obsoletes:	audacious-input-flac
Obsoletes:	audacious-input-mikmod
Obsoletes:	audacious-input-mpc
Obsoletes:	audacious-input-mpg123
Obsoletes:	audacious-input-mplayer
Obsoletes:	audacious-input-musepack
Obsoletes:	audacious-input-sap
Obsoletes:	audacious-input-timidity
Obsoletes:	audacious-input-tta
Obsoletes:	audacious-input-wav
Obsoletes:	audacious-input-wma
Obsoletes:	audacious-output-ALSA
Obsoletes:	audacious-output-OSS
Obsoletes:	audacious-output-arts
Obsoletes:	audacious-output-disk
Obsoletes:	audacious-output-icecast
Obsoletes:	audacious-output-lame
Obsoletes:	audacious-output-null
Obsoletes:	audacious-output-oss
Obsoletes:	audacious-static
Obsoletes:	audacious-transport-curl
Obsoletes:	audacious-visualization-iris
Obsoletes:	audacious-visualization-moodbar
Obsoletes:	audacious-visualization-paranormal
Obsoletes:	audacious-visualization-projectM
Obsoletes:	audacious-visualization-rocklight
Obsoletes:	audacious-visualization-rootvis
Obsoletes:	audacious-visualization-rovascope
Obsoletes:	audacious-visualization-spectrum
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Audacious is a media player based on BMP. Since the development of the
former project had been terminated, this fork was created.

%description -l hu.UTF-8
Audacious egy BMP-n alapuló médialejátszó. Amióta a kiinduló projekt
fejlesztése abbamaradt, ez a leszármazott létrejött.

%description -l pl.UTF-8
Audacious to odtwarzacz mediów oparty na BMP. Powstał on ponieważ
rozwój pierwowzoru został zakończony.

%package libs
Summary:	Audacious media player library
Summary(hu.UTF-8):	Audacious médialejátszó könyvtár
Summary(pl.UTF-8):	Biblioteka odtwarzacza multimedialnego Audacious
Group:		X11/Applications/Sound
Requires:	gtk+3 >= 3.0.0
Requires:	libmowgli >= 0.9.0

%description libs
Audacious media player library.

%description libs -l hu.UTF-8
Audacious médialejátszó könyvtár.

%description libs -l pl.UTF-8
Biblioteka odtwarzacza multimedialnego Audacious.

%package devel
Summary:	Header files for Audacious media player
Summary(hu.UTF-8):	Az audacious fejlécfájljai
Summary(pl.UTF-8):	Pliki nagłówkowe odtwarzacza multimedialnego Audacious
Group:		X11/Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	dbus-glib-devel >= 0.60
Requires:	gtk+3-devel >= 3.0.0
Requires:	home-etc-devel
Requires:	libmowgli-devel >= 0.9.0
Requires:	mcs-devel >= 0.4.0

%description devel
Header files required for compiling Audacious media player plugins.

%description devel -l hu.UTF-8
Az audacious fejlécfájljai.

%description devel -l pl.UTF-8
Pliki nagłówkowe potrzebne do kompilowania wtyczek odtwarzacza
multimedialnego Audacious.

%prep
%setup -q
%patch0 -p1

%build
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/%{name}/{Container,Effect,General,Input,Output,Transport,Visualization}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

[ -d $RPM_BUILD_ROOT%{_localedir}/sr@latin ] || \
	mv -f $RPM_BUILD_ROOT%{_localedir}/sr@{Latn,latin}
mv $RPM_BUILD_ROOT%{_localedir}/fa{_IR,}
mv $RPM_BUILD_ROOT%{_localedir}/id{_ID,}
mv $RPM_BUILD_ROOT%{_localedir}/pt{_PT,}
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%banner %{name} -e << EOF
Remember to install appropriate input plugins for files
you want to play!
EOF

%update_desktop_database_post

%postun
%update_desktop_database_postun

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS COPYING
%attr(755,root,root) %{_bindir}/audacious
%attr(755,root,root) %{_bindir}/audtool
%{_mandir}/man*/*
%dir %{_datadir}/audacious
%dir %{_datadir}/audacious/images
%{_datadir}/audacious/images/*
%{_desktopdir}/*.desktop
%{_iconsdir}/hicolor/*/apps/audacious.*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libaudclient.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libaudclient.so.?
%attr(755,root,root) %{_libdir}/libaudcore.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libaudcore.so.?
%attr(755,root,root) %{_libdir}/libaudgui.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libaudgui.so.?
%attr(755,root,root) %{_libdir}/libaudtag.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libaudtag.so.?
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/Container
%dir %{_libdir}/%{name}/Effect
%dir %{_libdir}/%{name}/General
%dir %{_libdir}/%{name}/Input
%dir %{_libdir}/%{name}/Output
%dir %{_libdir}/%{name}/Transport
%dir %{_libdir}/%{name}/Visualization

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libaudclient.so
%attr(755,root,root) %{_libdir}/libaudcore.so
%attr(755,root,root) %{_libdir}/libaudgui.so
%attr(755,root,root) %{_libdir}/libaudtag.so
%{_includedir}/audacious
%{_includedir}/libaudcore
%{_includedir}/libaudgui
%{_pkgconfigdir}/audacious.pc
%{_pkgconfigdir}/audclient.pc
%changelog
* Fri Aug 24 2012 Kacper Kornet <draenog@pld-linux.org> 05e45c1
- lirc plugin is back

* Fri Aug 24 2012 Kacper Kornet <draenog@pld-linux.org> f2308cc
- up to 3.3.1
- change in license
- mtp_up, null and oss plugins are obsoleted

* Tue Jul 03 2012 Łukasz Kieś <kiesiu@pld-linux.org> d25f737
- updated to 3.2.4
- updated Rs in -libs and -devel

* Mon Jun 25 2012 Łukasz Kieś <kiesiu@pld-linux.org> 1af83b0
- updated to 3.2.3
- use gtk+3

* Sun Mar 11 2012 Jarosław Kruk <jareq@pld-linux.org> c4d491c
- updated to 3.2.1
- rel 1

* Tue Dec 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> c709d6c
- up to 3.1.1

* Sun Nov 13 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> d00a460
- rel 2; update obsoletes

* Sun Nov 13 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 81c9bca
- up to 3.1; enable libguess (charset detection)

* Fri Oct 14 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 0254ebc
- up to 3.0.3

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 7cf697d
- release 2

* Tue Aug 16 2011 lisu <lisu@pld-linux.org> 684fd66
- updated to 3.0.1

* Tue Aug 09 2011 lisu <lisu@pld-linux.org> 03bf0a5
- rel 2

* Tue Aug 09 2011 lisu <lisu@pld-linux.org> 4652f2d
- obsoleted plugins: alarm, evdev-plug, ladspa, lirc, paranormal, projectm-1.0, spectrum, streambrowser

* Tue Aug 09 2011 lisu <lisu@pld-linux.org> ea7f80d
- updated to 3.0

* Thu Jun 30 2011 marti <marti@pld-linux.org> 1fa5798
- up to 2.5.3
- small correction in source

* Mon May 23 2011 Kacper Kornet <draenog@pld-linux.org> d87bc27
- up to 2.5.1

* Wed May 04 2011 lisu <lisu@pld-linux.org> 64ba6de
- place Suggests after Requires

* Wed May 04 2011 lisu <lisu@pld-linux.org> fbea903
- updated for 2.5.0

* Wed May 04 2011 lisu <lisu@pld-linux.org> 658969b
- obsoleted

* Wed May 04 2011 lisu <lisu@pld-linux.org> f955fb4
- updated to 2.5.0
- obsoleted patches: -home_etc.patch and -debug_audtag.patch
- updated version of libmowgli-devel BR
- dropped obsoleted rm
- binaries' names changed

